GNU bug report logs - #38172
fixing dangerous PulseAudio defaults and giving it a record type

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: raingloom <raingloom@HIDDEN>; dated Mon, 11 Nov 2019 21:11:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 38172 <at> debbugs.gnu.org:


Received: (at 38172) by debbugs.gnu.org; 11 Jan 2020 16:48:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 11:48:13 2020
Received: from localhost ([127.0.0.1]:56514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqJvp-00029w-2C
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 11:48:13 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:43891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>)
 id 1iqJvm-00029g-Pc; Sat, 11 Jan 2020 11:48:11 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 4A01121F15;
 Sat, 11 Jan 2020 11:48:05 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sat, 11 Jan 2020 11:48:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=y0F3erPm74rVADlzbe3zW+Lz6u
 gwUgeGfMRGnIc1EM8=; b=t5Y/+RyaeMZJJVrwxwcx9Ed0FQgKS9g8HcGz8a0dL4
 6ANwC4WHIGniGavMOdfcDNocAgKOBFPGtr+p++8jSAkugyBeUO8/lfBguugSM74z
 xtZGv0ayz1I87lzmKqXh11nTZ4cRXSBKLCdcIHFMF1LCduFHY8O+2swyCCF71j/+
 8GeV2OnBX7rGVFKd3/eDofiYyTxaBs6wXB+hbRvdZFCGeD2aown8mU3oXtLfa8eB
 C2NjKEW4+LwM/ep1jr3NXfB9rOSSEJ12W67T83tcWoVAr/+UQGyyNhaVBA2qUT4O
 2fzPU1+d+A8Lqj8zZDlBJmK7p88bIOHi3Dqbtz1zjQjQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=y0F3er
 Pm74rVADlzbe3zW+Lz6ugwUgeGfMRGnIc1EM8=; b=Xk0kE2CP1LUWCmOYsKcoSB
 3UhQh8C3SlmOUs7V68wCWeFjR8AilS2jc1zZR9np+QnL7HzB7q4gt/Ml1IhM5aED
 gUz1iDzv3naqh06oocuAb0tBwA7nnLjaXUkUVEGsQ2CM576P97M4pgAQGZZGdQO/
 EY1B9KLxm+TdS6LchG8oPYcVkLQH5/NG7Ael0tR4Vp7tOlZNhH0XSCGXLkvaoGcr
 7EEEZSp5UUtYu4vfaaIb7LZT02JdHh0T2mZuKACHo3X8WWHWqAnWnKSj99jOTnpE
 aElK9RX3vKuAez70CCMXEvf79NemaSMDpIvoY5w8tgzSb7TJyEPe8SE6Ws2E9i0A
 ==
X-ME-Sender: <xms:RPwZXtvrsAnmH9vV03wA6mv0Bu--nKl6qD26Mtd45RgWrVME-RlQ0w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdeihedgledvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepke
 egrdehvddrvddviedruddtvdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:RPwZXtuU73Cwh4u-63zeoYYZgPnt4uGOxJV1_4crYcG_WnPQkb0tWg>
 <xmx:RPwZXpWFLmgJQEkBCVERfTFJkZ9t611fa_jaLffKWB89PckRM4phIA>
 <xmx:RPwZXhleomQkHDA0AqWoTkL_FHa4NRA3rtQrOvc5iA2vyspt1G7pag>
 <xmx:RfwZXpwI0vn3Bb_OgBDEtel_viF3CetaKP812VpKZixSTdNjQu3H9w>
Received: from localhost (84-52-226.102.3p.ntebredband.no [84.52.226.102])
 by mail.messagingengine.com (Postfix) with ESMTPA id 815B530607BE;
 Sat, 11 Jan 2020 11:48:04 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, raingloom@HIDDEN
Subject: Re: bug#38172: WebkitGTK-based browsers: System volume suddenly maxed
 out when playing audio or video
In-Reply-To: <dce4781f6aed35b80d0a2e566ffb2a676fa29917.camel@HIDDEN>
References: <20191111220941.09cae111@HIDDEN>
 <1e5ef8c196053fbeada65e8f525520fb6483530f.camel@HIDDEN>
 <87eew81hmb.fsf@HIDDEN>
 <dce4781f6aed35b80d0a2e566ffb2a676fa29917.camel@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sat, 11 Jan 2020 17:48:01 +0100
Message-ID: <87zheuym66.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38172
Cc: Oleg Pykhalov <go.wigust@HIDDEN>, 39053 <at> debbugs.gnu.org,
 38172 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Leo Prikler <leo.prikler@HIDDEN> writes:

> Am Donnerstag, den 09.01.2020, 21:48 +0100 schrieb Marius Bakke:
>>=20
>> I have a preference for making this field empty initially to have a
>> 1:1
>> compatibility with the current PA client and daemon configuration
>> (i.e. nothing).  Then a follow-up patch can add this new
>> configuration,
>> perhaps with an explaining comment.
> Fair enough.  This would mean I'd have to split 0001 into two, but
> okay.

Excellent.  :-)

>> Does it make sense to have default-script and system-script default
>> to
>> (file-append pulseaudio "...") and avoid the conditional altogether?
> The idea behind it was to have the script itself in the code rather
> than asking users to construct a mixed-text-file, but I'm fine either
> way.

Right.  I just have a preference for the default being "up-front",
instead of magic hiding behind an #f.  :-)

There's also LOCAL-FILE and PLAIN-FILE, which are more "obvious" than
MIXED-TEXT-FILE.

It could be useful to support plain strings for users who don't wish to
much about with G-expressions though, hopefully users will send a bug
report if they find it limiting.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl4Z/EIACgkQoqBt8qM6
VPrpuwgAndmxjxcRd/XSMcazQbXIS4/1YqiayLEzn5WkmYxOJlTZFJEp7XApoLcw
JWNQ65SYbQ0QPoDE6DSs/YVa+fzHYk33aqhSwOF1GZrR0DyYMyv+281q0a27QBNn
QG/nHq+HXjf4tpraYf9Xe6+oYp1kFIy7vYlQu+DxGaELvzVrUYNveC/uzPpz+Bdz
keK/tw4n8Q/RT5IzTCMF8+HaUai/jOKsR/+i1KYx5IHAdx5DDnm6bTGejtqGUP0x
J5Pibe12khiu9IQN3Y8CQweEbNG0F94GAaRxzb8OixehGUSZTyHlrcM0t8XqZtpp
+WDPxy1V9xtekHrmksDexTl+ISpd0g==
=RHYI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.

Message received at 38172 <at> debbugs.gnu.org:


Received: (at 38172) by debbugs.gnu.org; 9 Jan 2020 22:49:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 17:49:26 2020
Received: from localhost ([127.0.0.1]:53294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipgcH-0007KO-MK
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 17:49:25 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:20952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>)
 id 1ipgcE-0007K9-Pl; Thu, 09 Jan 2020 17:49:24 -0500
Received: from nijino.local (193-80-82-122.hdsl.highway.telekom.at
 [193.80.82.122])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 47v1Wd51C9z1DHSW;
 Thu,  9 Jan 2020 23:49:17 +0100 (CET)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 47v1Wd51C9z1DHSW
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1578610159;
 bh=ELSh8dPYpy+kYyf+u+drC6yE004BqDoqITSn0EiVW4c=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=IJ58JJHlZ+/5Ee7POMUeVMEbfz/TeLmXFKPvHCwyhrqHapcOFIRx4bs5h5qlXNkxf
 /6cisJo6TsRQLIbdovZYYBn9Uj9nfQlIlr3kK4H8upoiaPS6uwZZOyh7bMlA4cRFl9
 jZopKbnfb4msU2TxgT/ENHtNpxoJke4xHBb8QMZs=
Message-ID: <dce4781f6aed35b80d0a2e566ffb2a676fa29917.camel@HIDDEN>
Subject: Re: bug#38172: WebkitGTK-based browsers: System volume suddenly
 maxed out when playing audio or video
From: Leo Prikler <leo.prikler@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, raingloom@HIDDEN
Date: Thu, 09 Jan 2020 23:49:17 +0100
In-Reply-To: <87eew81hmb.fsf@HIDDEN>
References: <20191111220941.09cae111@HIDDEN>
 <1e5ef8c196053fbeada65e8f525520fb6483530f.camel@HIDDEN>
 <87eew81hmb.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.32.4 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38172
Cc: Oleg Pykhalov <go.wigust@HIDDEN>, 39053 <at> debbugs.gnu.org,
 38172 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Donnerstag, den 09.01.2020, 21:48 +0100 schrieb Marius Bakke:
> 
> I have a preference for making this field empty initially to have a
> 1:1
> compatibility with the current PA client and daemon configuration
> (i.e. nothing).  Then a follow-up patch can add this new
> configuration,
> perhaps with an explaining comment.
Fair enough.  This would mean I'd have to split 0001 into two, but
okay.

> Does it make sense to have default-script and system-script default
> to
> (file-append pulseaudio "...") and avoid the conditional altogether?
The idea behind it was to have the script itself in the code rather
than asking users to construct a mixed-text-file, but I'm fine either
way.

> This means pulseaudio will start looking in /etc/pulse for
> configuration
> files on foreign distributions too, right?
> 
> I wonder if there is better way to give it configuration
> files.  Perhaps
> by patching the D-Bus service files?  Not a blocker for this series,
> but
> something to consider in case /etc/pulse causes trouble.
This is already addressed by the renewed series I sent to guix-patches. 
I know you already found that, but I'd like to repeat it for those who
thus far have only read this thread.

> End on #t.
As above, but thanks for the hint, I missed the warning it seems.

> [...]
> 
> > From e24016f9a44a113847dd937ac47ab4bdb960236d Mon Sep 17 00:00:00
> > 2001
> > From: Leo Prikler <leo.prikler@HIDDEN>
> > Date: Thu, 9 Jan 2020 01:29:13 +0100
> > Subject: [PATCH 3/3] services: Add pulseaudio to %desktop-services.
> > 
> > * gnu/services/desktop.scm (%desktop-services): Add pulseaudio
> > service.
> 
> This will pull in "swh-plugins" which was the original intention
> behind
> pulseaudio-service before this patch series.  Before adding it to
> %desktop-services, I would prefer if the pulseaudio environment
> configuration could be made modular, so that there are no
> configuration
> differences for end users, i.e. they'd have to actively enable the
> LADSPA plugin.
I think adding a field ladspa-plugins, which accepts a list of packages
and adds their "lib/ladspa" would be the right approach here, but I
also feel, that this perhaps deserves its own service unrelated to
pulseaudio.  WDYT?
Either way, I agree on the "having to actively enable" part. 

> As a final note, can you also update doc/guix.texi accordingly?
I will once I've figured out how to best handle these fields.

Regards,
Leo





Information forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.

Message received at 38172 <at> debbugs.gnu.org:


Received: (at 38172) by debbugs.gnu.org; 9 Jan 2020 20:48:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 15:48:28 2020
Received: from localhost ([127.0.0.1]:53139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipejA-0008WL-DX
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 15:48:28 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:56541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1ipej8-0008W8-K7
 for 38172 <at> debbugs.gnu.org; Thu, 09 Jan 2020 15:48:23 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 816E276F;
 Thu,  9 Jan 2020 15:48:16 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Thu, 09 Jan 2020 15:48:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=PnyJ5iWtmsO1Zn722KlPQLQcIM
 gWUfWbttSZaNcwjxM=; b=nXI8i7zR3UWBRbJyA5EbmafdveWVVKn6nL+Uubws6o
 9Juj4ey2/C9l+aipPC3nhb6fYxfUaz/zRMPhxiFiKx2ADgTsYZIX5vE02GWJz3AR
 /Lwgs61mCPNADFJ3YQLsjKlhRGcBzN+fJTaGd/td6cfNj4kEzl2jkBYzyKfOemNj
 wbFT6ZTs7q8K6xQs7RTGNIJR+fvwuJo6yMQ7NVt305RteUOsB4EiL5PQKxboydQV
 s/IJY9uDbnFF2MWDQgeLykFlgktH+m05ncfCPuHLw1uZ5+ZQA/m1QOcl0QuJVASo
 yjcsjLzq+Wq/8UzKGMIHVcHbHxTrFBIv5So8utmRIoqg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=PnyJ5i
 WtmsO1Zn722KlPQLQcIMgWUfWbttSZaNcwjxM=; b=XuZAuacb6TCfUI5aGlGhjn
 u6d4YD8qlfc3xa52BIkNnJzjJ+IYSpeKcna2HOZvKi+MC5rPf+HKRYv30caXlz1B
 HjPzbtwSAKrwsJplyOQ0qq6zTtSRczmnUd9kqihtVtwD0CVjlP5nPH1f7wu1GCbF
 +GUp2IdLrHBbm8IcexMjggXg7bAGG6SA0VecerSOfp+Im78IuS5Hy9yoiEXpjnXs
 hJusF6ZG86vj07q37vMZqarHc4ga5v8lnj3Q9aCdvQOuFqAfYo2YRzgLzcB+DjjN
 t97o+3KdW+icl+NBPV4nU2fyHFDi9mt4T9a8FaTHystBrukQxeXWTTdLfDYX6f5Q
 ==
X-ME-Sender: <xms:j5EXXrDdf5SnsOKAXJshBXYnucxz9zIgmqzb55gb47x4XgOl3O9jJA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdeiuddguddtiecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecukfhppe
 ekgedrhedvrddvvdeirddutddvnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhk
 vgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:j5EXXkcaa_ev63S0Z8jnFMeq6BBHDZjui2jvAjX1LKtwAgg725zYqw>
 <xmx:j5EXXqzFq3Uiv7ozavmiOsD5LYixrd8-FxnpI897doaG9KPW_Kpg_g>
 <xmx:j5EXXq81_O8FhfqdbkLhpKIChFJkZWhSXAbZBRDjiAl2KSBM_x7N5A>
 <xmx:kJEXXuduWrqTH8c-aa-KlKJoW1G9_pi950Zcv8J4_pveucfc9Cu_XA>
Received: from localhost (84-52-226.102.3p.ntebredband.no [84.52.226.102])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1AD7730602DB;
 Thu,  9 Jan 2020 15:48:14 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Leo Prikler <leo.prikler@HIDDEN>, raingloom@HIDDEN
Subject: Re: bug#38172: WebkitGTK-based browsers: System volume suddenly maxed
 out when playing audio or video
In-Reply-To: <1e5ef8c196053fbeada65e8f525520fb6483530f.camel@HIDDEN>
References: <20191111220941.09cae111@HIDDEN>
 <1e5ef8c196053fbeada65e8f525520fb6483530f.camel@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 09 Jan 2020 21:48:12 +0100
Message-ID: <87eew81hmb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38172
Cc: Oleg Pykhalov <go.wigust@HIDDEN>, 38172 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Leo,

Leo Prikler <leo.prikler@HIDDEN> writes:

> Hi Guix,
>
> After looking at my older patch (which no longer cleanly applies), I've
> noticed, that pulseaudio doesn't even read the files from /etc.  This
> is troublesome in multiple ways.  For one, pulseaudio causes >500
> rebuilds (with >900 dependent packages) and is therefore staging
> material, for the other, hardcoding /etc in such a way breaks
> pulseaudio without the service.
>
> So far, I've only tested containers via `guix environment --container`,=20
> but from what I can gather with strace, the config file is indeed read
> and hence flat-volumes are eliminated.  Other ways of making pulseaudio
> accept /etc are very welcome.  Looking at Nix, they configure
> pulseaudio with "--sysconfdir=3D/etc", but then override sysconfdir and
> pulseconfdir during install.  I'm not quite sure which solution is
> "better", but neither is going to read the config shipped with the
> package.
>
> Note: before this can be applied on staging,
> a66ee82a05d8ff1ef7c5ff9ac7723cb32fc4e22a needs to be applied.

Thank you for these patches.  Overall it LGTM.

[...]

> From bf4708923d14356c87daec69209b30aa0427d64f Mon Sep 17 00:00:00 2001
> From: Leo Prikler <leo.prikler@HIDDEN>
> Date: Wed, 8 Jan 2020 19:50:51 +0100
> Subject: [PATCH 1/3] services: Add pulseaudio-configuration.
>
> * gnu/services/sound (<pulseaudio-configuration>): New record.
> (pulseaudio-etc): New procedure.
> (pulseaudio-service-type): Update accordingly.

[...]

> +(define-record-type* <pulseaudio-configuration>
> +  pulseaudio-configuration make-pulseaudio-configuration
> +  pulseaudio-configuration?
> +  (package pulseaudio-package (default pulseaudio))
> +  (client-conf pulseaudio-client-conf (default '()))
> +  (daemon-conf pulseaudio-daemon-conf (default '((flat-volumes no))))

I have a preference for making this field empty initially to have a 1:1
compatibility with the current PA client and daemon configuration
(i.e. nothing).  Then a follow-up patch can add this new configuration,
perhaps with an explaining comment.

> +  (default-script pulseaudio-default-script (default #f))
> +  (system-script pulseaudio-system-script (default #f)))
> +
>  (define (pulseaudio-environment config)
>    ;; Define this variable in the global environment such that
>    ;; pulseaudio swh-plugins works.
>    `(("LADSPA_PATH"
>       . ,(file-append swh-plugins "/lib/ladspa"))))
>=20=20
> +(define (pulseaudio-conf-entry arg)
> +  (match arg
> +    ((key value)
> +     (format #f "~a =3D ~s~%" key value))
> +    ((? string? _)
> +     (string-append arg "\n"))))
> +
> +(define pulseaudio-etc
> +  (match-lambda
> +    (($ <pulseaudio-configuration> package client-conf daemon-conf
> +                                   default-script system-script)
> +     (let ((default.pa (if default-script
> +                           (apply mixed-text-file "default.pa"
> +                                  default-script)
> +                           (file-append package "/etc/pulse/default.pa")=
)))
> +       `(("pulse"
> +          ,(file-union
> +            "pulse"
> +            `(("client.conf"
> +               ,(apply mixed-text-file "client.conf"
> +                       (map pulseaudio-conf-entry client-conf)))
> +              ("daemon.conf"
> +               ,(apply mixed-text-file "daemon.conf"
> +                       "default-script-file =3D " default.pa "\n"
> +                       (map pulseaudio-conf-entry daemon-conf)))
> +              ("default.pa" ,default.pa)
> +              ("system.pa"
> +               ,(if system-script
> +                    (apply mixed-text-file "system.pa"
> +                           system-script)
> +                    (file-append package "/etc/pulse/system.pa")))))))))=
))
> +

Does it make sense to have default-script and system-script default to
(file-append pulseaudio "...") and avoid the conditional altogether?

[...]

> From 843d3968db990b5b7ff3f618db5847f83b999cb8 Mon Sep 17 00:00:00 2001
> From: Leo Prikler <leo.prikler@HIDDEN>
> Date: Thu, 9 Jan 2020 01:24:09 +0100
> Subject: [PATCH 2/3] gnu: pulseaudio: Honor /etc.
>
> * gnu/packages/pulseaudio.scm (pulseaudio) [phases]:
> Set PA_DEFAULT_CONFIG_DIR to "/etc/pulse".

This means pulseaudio will start looking in /etc/pulse for configuration
files on foreign distributions too, right?

I wonder if there is better way to give it configuration files.  Perhaps
by patching the D-Bus service files?  Not a blocker for this series, but
something to consider in case /etc/pulse causes trouble.

[...]

> +                 (add-after 'configure 'hardcode-default-config-dir
> +                   (lambda _
> +                     (substitute* "config.h"
> +                       (("(#define PA_DEFAULT_CONFIG_DIR).*$" all prefix)
> +                        (string-append prefix " \"/etc/pulse\"")))))

End on #t.

[...]

> From e24016f9a44a113847dd937ac47ab4bdb960236d Mon Sep 17 00:00:00 2001
> From: Leo Prikler <leo.prikler@HIDDEN>
> Date: Thu, 9 Jan 2020 01:29:13 +0100
> Subject: [PATCH 3/3] services: Add pulseaudio to %desktop-services.
>
> * gnu/services/desktop.scm (%desktop-services): Add pulseaudio service.

This will pull in "swh-plugins" which was the original intention behind
pulseaudio-service before this patch series.  Before adding it to
%desktop-services, I would prefer if the pulseaudio environment
configuration could be made modular, so that there are no configuration
differences for end users, i.e. they'd have to actively enable the
LADSPA plugin.

I'm not sure what the best approach would be though.  Ideas, Oleg?

As a final note, can you also update doc/guix.texi accordingly?

TIA,
Marius

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl4XkYwACgkQoqBt8qM6
VPpMOggAhQjnPB9HENH3Mungf7xFhAsTL0vJ3tG049uniYXaQgENtqZiLjPjK8tA
aZ1oZctzVkTSndK1xq5JrH0MPa6k9q9h7fRbOrAupM9CS7KTLfQfskWC6YLSYNW+
KQfHe+2R+jDOS2eUbtKDY00eH9dfLT8gFv5Wh8kRwuzxxk1zWG7I5YfA15ZJbydd
/3wWY3TlrnqJaDwQF5Dv5F8Ay9N+bm1ADJ4Jn+lSgS0VvcadiLuq1173AWqFoyu0
I/9yWH3QGFLyfLWSqPrtawkQCpCcB8LJwcWjq4d+eU7e9WL0yzAPypnMbopFmiAb
IDmWVcun+HLnvPQ/GpT8Ejcmr3epgg==
=uqg/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.

Message received at 38172 <at> debbugs.gnu.org:


Received: (at 38172) by debbugs.gnu.org; 9 Jan 2020 01:22:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 20:22:28 2020
Received: from localhost ([127.0.0.1]:51642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipMWq-0008Ik-Gy
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 20:22:28 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:31055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1ipMWo-0008Ib-BT
 for 38172 <at> debbugs.gnu.org; Wed, 08 Jan 2020 20:22:27 -0500
Received: from nijino.local (193-80-82-122.hdsl.highway.telekom.at
 [193.80.82.122])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 47tSyl0jq2z3wLw;
 Thu,  9 Jan 2020 02:22:22 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1578532943;
 bh=/Ak5qIV8vyKnpq356P84yXSkUmgeqGbXoOCtiQshrhQ=;
 h=Subject:From:To:Cc:Date:In-Reply-To;
 b=rk2FgkQUqmX1Yxw0SgX+W6J/O2XCKrntU2uTvpeznngHZj5QHoHxmhvYmjWZpluNP
 zmGYsJAhm09NmZui96OrVef0pWRNwbhhrb8mKDCkQsLaxsUBpOCy1ZjaeD0bzdfI+6
 xKLg/8hVAT8rkiyPkPRFe1VHqG22b8+B6xOdsN5M=
Message-ID: <1e5ef8c196053fbeada65e8f525520fb6483530f.camel@HIDDEN>
Subject: bug#38172: WebkitGTK-based browsers: System volume suddenly maxed
 out when playing audio or video
From: Leo Prikler <leo.prikler@HIDDEN>
To: raingloom@HIDDEN
Date: Thu, 09 Jan 2020 02:22:23 +0100
In-Reply-To: 54496e7bbfd36f00b982bcdfe0557864d1f7938b.camel@HIDDEN
Content-Type: multipart/mixed; boundary="=-e9ke6GcgWCEufAipMcLv"
User-Agent: Evolution 3.32.4 
MIME-Version: 1.0
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38172
Cc: 38172 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--=-e9ke6GcgWCEufAipMcLv
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

Hi Guix,

After looking at my older patch (which no longer cleanly applies), I've
noticed, that pulseaudio doesn't even read the files from /etc.  This
is troublesome in multiple ways.  For one, pulseaudio causes >500
rebuilds (with >900 dependent packages) and is therefore staging
material, for the other, hardcoding /etc in such a way breaks
pulseaudio without the service.

So far, I've only tested containers via `guix environment --container`, 
but from what I can gather with strace, the config file is indeed read
and hence flat-volumes are eliminated.  Other ways of making pulseaudio
accept /etc are very welcome.  Looking at Nix, they configure
pulseaudio with "--sysconfdir=/etc", but then override sysconfdir and
pulseconfdir during install.  I'm not quite sure which solution is
"better", but neither is going to read the config shipped with the
package.

Note: before this can be applied on staging,
a66ee82a05d8ff1ef7c5ff9ac7723cb32fc4e22a needs to be applied.

Regards,
Leo



--=-e9ke6GcgWCEufAipMcLv
Content-Disposition: attachment; filename="0001-services-Add-pulseaudio-configuration.patch"
Content-Type: text/x-patch; name="0001-services-Add-pulseaudio-configuration.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-e9ke6GcgWCEufAipMcLv
Content-Disposition: attachment; filename="0002-gnu-pulseaudio-Honor-etc.patch"
Content-Type: text/x-patch; name="0002-gnu-pulseaudio-Honor-etc.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSA4NDNkMzk2OGRiOTkwYjViN2ZmM2Y2MThkYjU4NDdmODNiOTk5Y2I4IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBMZW8gUHJpa2xlciA8bGVvLnByaWtsZXJAc3R1ZGVudC50dWdy
YXouYXQ+CkRhdGU6IFRodSwgOSBKYW4gMjAyMCAwMToyNDowOSArMDEwMApTdWJqZWN0OiBbUEFU
Q0ggMi8zXSBnbnU6IHB1bHNlYXVkaW86IEhvbm9yIC9ldGMuCgoqIGdudS9wYWNrYWdlcy9wdWxz
ZWF1ZGlvLnNjbSAocHVsc2VhdWRpbykgW3BoYXNlc106ClNldCBQQV9ERUZBVUxUX0NPTkZJR19E
SVIgdG8gIi9ldGMvcHVsc2UiLgotLS0KIGdudS9wYWNrYWdlcy9wdWxzZWF1ZGlvLnNjbSB8IDUg
KysrKysKIDEgZmlsZSBjaGFuZ2VkLCA1IGluc2VydGlvbnMoKykKCmRpZmYgLS1naXQgYS9nbnUv
cGFja2FnZXMvcHVsc2VhdWRpby5zY20gYi9nbnUvcGFja2FnZXMvcHVsc2VhdWRpby5zY20KaW5k
ZXggNjcxZGNkMTU2My4uMWZiNWEyZjU3OCAxMDA2NDQKLS0tIGEvZ251L3BhY2thZ2VzL3B1bHNl
YXVkaW8uc2NtCisrKyBiL2dudS9wYWNrYWdlcy9wdWxzZWF1ZGlvLnNjbQpAQCAtMTYxLDYgKzE2
MSwxMSBAQCByYXRlcy4iKQogICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgIChhc3NvYy1yZWYgJW91dHB1dHMgIm91dCIpCiAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgIi9saWIvdWRldi9ydWxlcy5kIikpCiAgICAgICAgIzpw
aGFzZXMgKG1vZGlmeS1waGFzZXMgJXN0YW5kYXJkLXBoYXNlcworICAgICAgICAgICAgICAgICAo
YWRkLWFmdGVyICdjb25maWd1cmUgJ2hhcmRjb2RlLWRlZmF1bHQtY29uZmlnLWRpcgorICAgICAg
ICAgICAgICAgICAgIChsYW1iZGEgXworICAgICAgICAgICAgICAgICAgICAgKHN1YnN0aXR1dGUq
ICJjb25maWcuaCIKKyAgICAgICAgICAgICAgICAgICAgICAgKCgiKCNkZWZpbmUgUEFfREVGQVVM
VF9DT05GSUdfRElSKS4qJCIgYWxsIHByZWZpeCkKKyAgICAgICAgICAgICAgICAgICAgICAgIChz
dHJpbmctYXBwZW5kIHByZWZpeCAiIFwiL2V0Yy9wdWxzZVwiIikpKSkpCiAgICAgICAgICAgICAg
ICAgIChhZGQtYmVmb3JlICdjaGVjayAncHJlLWNoZWNrCiAgICAgICAgICAgICAgICAgICAgKGxh
bWJkYSBfCiAgICAgICAgICAgICAgICAgICAgICA7OyAndGVzdHMvbG9jay1hdXRvc3Bhd24tdGVz
dC5jJyB3YW50cyB0byBjcmVhdGUgYSBmaWxlCi0tIAoyLjI0LjEKCg==


--=-e9ke6GcgWCEufAipMcLv
Content-Disposition: attachment;
	filename="0003-services-Add-pulseaudio-to-desktop-services.patch"
Content-Type: text/x-patch;
	name="0003-services-Add-pulseaudio-to-desktop-services.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSBlMjQwMTZmOWE0NGExMTM4NDdkZDkzN2FjNDdhYjRiZGI5NjAyMzZkIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBMZW8gUHJpa2xlciA8bGVvLnByaWtsZXJAc3R1ZGVudC50dWdy
YXouYXQ+CkRhdGU6IFRodSwgOSBKYW4gMjAyMCAwMToyOToxMyArMDEwMApTdWJqZWN0OiBbUEFU
Q0ggMy8zXSBzZXJ2aWNlczogQWRkIHB1bHNlYXVkaW8gdG8gJWRlc2t0b3Atc2VydmljZXMuCgoq
IGdudS9zZXJ2aWNlcy9kZXNrdG9wLnNjbSAoJWRlc2t0b3Atc2VydmljZXMpOiBBZGQgcHVsc2Vh
dWRpbyBzZXJ2aWNlLgotLS0KIGdudS9zZXJ2aWNlcy9kZXNrdG9wLnNjbSB8IDEgKwogMSBmaWxl
IGNoYW5nZWQsIDEgaW5zZXJ0aW9uKCspCgpkaWZmIC0tZ2l0IGEvZ251L3NlcnZpY2VzL2Rlc2t0
b3Auc2NtIGIvZ251L3NlcnZpY2VzL2Rlc2t0b3Auc2NtCmluZGV4IGI0MDYyMmE2MzcuLjFiZTA1
ZmRhNGUgMTAwNjQ0Ci0tLSBhL2dudS9zZXJ2aWNlcy9kZXNrdG9wLnNjbQorKysgYi9nbnUvc2Vy
dmljZXMvZGVza3RvcC5zY20KQEAgLTExODMsNiArMTE4Myw3IEBAIG9yIHNldHRpbmcgaXRzIHBh
c3N3b3JkIHdpdGggcGFzc3dkLiIpKSkKIAogICAgICAgICAgeDExLXNvY2tldC1kaXJlY3Rvcnkt
c2VydmljZQogCisgICAgICAgICAoc2VydmljZSBwdWxzZWF1ZGlvLXNlcnZpY2UtdHlwZSkKICAg
ICAgICAgIChzZXJ2aWNlIGFsc2Etc2VydmljZS10eXBlKQogCiAgICAgICAgICAlYmFzZS1zZXJ2
aWNlcykpCi0tIAoyLjI0LjEKCg==


--=-e9ke6GcgWCEufAipMcLv--





Information forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.

Message received at 38172 <at> debbugs.gnu.org:


Received: (at 38172) by debbugs.gnu.org; 7 Jan 2020 06:07:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 07 01:07:42 2020
Received: from localhost ([127.0.0.1]:47176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ioi1l-000879-Of
	for submit <at> debbugs.gnu.org; Tue, 07 Jan 2020 01:07:41 -0500
Received: from mx1.riseup.net ([198.252.153.129]:36598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1ioi1j-000870-Et
 for 38172 <at> debbugs.gnu.org; Tue, 07 Jan 2020 01:07:39 -0500
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 47sMNp58dLzFd35;
 Mon,  6 Jan 2020 22:07:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1578377258; bh=Yn752NN+cMzMYwje9iemHYDpYsBtDbERHuA+L2m/ZE8=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=h0MgjNsXrUyyyBpcdfFH13bbEW0EIVD3ATmCxTmuAlCOaNNobeBww5dI/G8MXAd90
 YWZKjebUjIY2GkwuKbkZam6vM8HipVLTrgVMSXMGTRDgpr6ghnYCS1dyJTSENQnblg
 3P3mumcvewfeHylTpYaQXQ+mgroNlb8iFydjah7U=
X-Riseup-User-ID: 4C12E6EBC62E18A13E7EEC55752660A533E408B9B48A9E157B0ECBD70B8BCCB2
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 47sMNn2hKXzJtbV;
 Mon,  6 Jan 2020 22:07:37 -0800 (PST)
Message-ID: <54496e7bbfd36f00b982bcdfe0557864d1f7938b.camel@HIDDEN>
Subject: Re: WebkitGTK-based browsers: System volume suddenly maxed out when
 playing audio or video
From: raingloom <raingloom@HIDDEN>
To: Alek Zikon <lekzikon@HIDDEN>, "help-guix@HIDDEN"
 <help-guix@HIDDEN>
Date: Tue, 07 Jan 2020 07:07:20 +0100
In-Reply-To: <pz4LLjGMExF6yjrqndx7uhuXMNQf95pbQOvVNBU16OrH7JDuHoTlsT3pzgAaUhRCyPB9QzgZP2gUO_D0H_gQbOrjG1yVWbf7_u5vYdpSzdw=@protonmail.com>
References: <pz4LLjGMExF6yjrqndx7uhuXMNQf95pbQOvVNBU16OrH7JDuHoTlsT3pzgAaUhRCyPB9QzgZP2gUO_D0H_gQbOrjG1yVWbf7_u5vYdpSzdw=@protonmail.com>
Content-Type: text/plain; charset="UTF-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38172
Cc: 38172 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, 2020-01-06 at 18:02 +0000, Alek Zikon wrote:
> Everytime audio or video starts playing on WebkitGTK-based browsers
> (epiphany, next), the system volume is maxed out. This happens when
> you start the audio or video by clicking on the play button and also
> when audio or videos are played automatically (in a playlist, or ad
> videos, for example).
> 
> This issue has been reported before upstream, but epiphany people say
> the source of the problem is in pulsaudio defaults on distros (
> https://gitlab.gnome.org/GNOME/epiphany/issues/73):
> 
>   Thanks for reporting this issue. You'll need to ask Debian to
> disable
>   PulseAudio's flat volumes feature, as is done by all other major
>   distributions (Ubuntu, Arch, Fedora, openSUSE, probably more),
>   since we're not going to make any changes here.
> 
> I found that there is a related pulsaudio bug reported on Guix (
> https://issues.guix.gnu.org/issue/38172). Unfortunately, this issue
> is still open.
> 
> Epiphany people say you, as a user, can work around the issue by
> setting "flat-volumes = no in your /etc/pulse/daemon.conf." What's
> the correct way to this on the Guix System?
> 
> 
> I'm using this software:
> 
> epiphany 3.30.4
> WebKitGTK+ 2.26.1
> GNOME 3.30.2
> 
> $ guix describe
> Generation 16	Jan 03 2020 14:36:37	(current)
>   guix 7158fe4
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 7158fe4ded47a599ceb8d556132ba83fcc686962
> 
CC-ing https://issues.guix.gnu.org/issue/38172





Information forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.

Message received at 38172 <at> debbugs.gnu.org:


Received: (at 38172) by debbugs.gnu.org; 12 Nov 2019 11:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 12 06:00:53 2019
Received: from localhost ([127.0.0.1]:56352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUTun-0001qo-FJ
	for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 06:00:53 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:2169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1iUTul-0001qe-OY
 for 38172 <at> debbugs.gnu.org; Tue, 12 Nov 2019 06:00:53 -0500
Received: from nijino.local (194-96-102-81.hdsl.highway.telekom.at
 [194.96.102.81])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 47C4Xv2WYwz3wNr
 for <38172 <at> debbugs.gnu.org>; Tue, 12 Nov 2019 12:00:47 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1573556447;
 bh=qrD6YrIIMHSRWNwYR0zJlDS9vuHSf05lqQpQnKnfza8=;
 h=Subject:From:To:Date:References;
 b=uzewon5AgNIa6IcmqXPQ+NNONhCn5uE1mMcmQYk/yXJ+TxlBJRKbtkAnYcyW+gcLU
 U5SHV3DiPurDYLjap58zLDbaPzwKUEfTcgMstcN4+RmbdtixPJuY/voyFbBsgl2LIQ
 y0dA9sLjLI1MYuz0GObfO9ypsPv4YenXWNIwabaA=
Message-ID: <e90cdf58363f0462005527cc765a02abe481e5ef.camel@HIDDEN>
Subject: bug#38172: fixing dangerous PulseAudio defaults and giving it a
 record type
From: Leo Prikler <leo.prikler@HIDDEN>
To: 38172 <at> debbugs.gnu.org
Date: Tue, 12 Nov 2019 12:00:40 +0100
References: <e9aba2fd590811bda70b65036f682b764c7141cf.camel@HIDDEN>
Content-Type: multipart/mixed; boundary="=-Eedmb6nFLeKFIjND6BeC"
User-Agent: Evolution 3.30.5 
MIME-Version: 1.0
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -0.2
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38172
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--=-Eedmb6nFLeKFIjND6BeC
Content-Type: text/plain
Content-Transfer-Encoding: base64

DQo=


--=-Eedmb6nFLeKFIjND6BeC
Content-Disposition: attachment; filename="0001-services-Add-PulseAudio-service.patch"
Content-Type: text/x-patch; name="0001-services-Add-PulseAudio-service.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-Eedmb6nFLeKFIjND6BeC--





Information forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2019 21:10:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 11 16:10:03 2019
Received: from localhost ([127.0.0.1]:56075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUGwl-0003CA-DS
	for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 16:10:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:54386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1iUGwj-0003Bf-Ba
 for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 16:10:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55256)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raingloom@HIDDEN>) id 1iUGwi-00035A-2s
 for bug-guix@HIDDEN; Mon, 11 Nov 2019 16:10:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raingloom@HIDDEN>) id 1iUGwg-0007Fj-SI
 for bug-guix@HIDDEN; Mon, 11 Nov 2019 16:09:59 -0500
Received: from mx1.riseup.net ([198.252.153.129]:54656)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <raingloom@HIDDEN>)
 id 1iUGwg-0007FT-Jx
 for bug-guix@HIDDEN; Mon, 11 Nov 2019 16:09:58 -0500
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 47Bk6D6nbXzDrP6
 for <bug-guix@HIDDEN>; Mon, 11 Nov 2019 13:09:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1573506596; bh=jqx32dTD8exxfd/gT5ljpopqEQW3pId1rHOtSKnGLfo=;
 h=Date:From:To:Subject:From;
 b=smWvx9w7by+RRMGW+m/lEOrazoekZ4WuHWkfSpITbOEfrH9CWxTd6BTNvzfeZ0N9Z
 7NgDTJ/i4Vu4tjez6hFP1H2K0p4Ou2zxtckPImt6/lSTduvfhHWzYaIKC57+THz/oS
 NbAycB9K2Bu51GNeGK4PB8SSOEr24sdS3CX1K2zY=
X-Riseup-User-ID: 8AE367625F1E8205D57E923159903762CFBA5FF8E06EAA57A7709892E7843EE8
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 47Bk6D1zLCzJrrT
 for <bug-guix@HIDDEN>; Mon, 11 Nov 2019 13:09:56 -0800 (PST)
Date: Mon, 11 Nov 2019 22:09:41 +0100
From: raingloom <raingloom@HIDDEN>
To: bug-guix@HIDDEN
Subject: fixing dangerous PulseAudio defaults and giving it a record type
Message-ID: <20191111220941.09cae111@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Discussion from IRC:
http://logs.guix.gnu.org/guix/2019-11-11.log#213424

Basically it makes volume settings behave in erratic and surprising
ways that are not obvious even to seasoned Linux users, including
sudden loud noises.

The fix is as simple as adding "flat-volumes = no"
to .config/pulse/daemon.conf, but this should really be a system
default.

However, rather than patching it, the consensus seems to be that we
should create a <pulseaudio-configuration> record type.
http://logs.guix.gnu.org/guix/2019-11-11.log#213953




Acknowledgement sent to raingloom <raingloom@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#38172; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 11 Jan 2020 17:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.